package cn.com.tenlion.configcontent.pojo.dtos.contentdispatch;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentDispatchDTO
 * @Description: CBC内容管理转发记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:35:42
 * @Version: 3.0
 **/
@ApiModel
public class ContentDispatchDTO {

    @ApiModelProperty(name = "contentDispatchId", value = "转发ID")
    private String contentDispatchId;
    @ApiModelProperty(name = "businessId", value = "业务ID")
    private String businessId;
    @ApiModelProperty(name = "contentDispatchParentId", value = "上一级转发ID")
    private String contentDispatchParentId;
    @ApiModelProperty(name = "contentDispatchUserName", value = "转发人姓名")
    private String contentDispatchUserName;
    @ApiModelProperty(name = "contentDispatchUserIcon", value = "转发人头像")
    private String contentDispatchUserIcon;
    @ApiModelProperty(name = "contentDispatchDevice", value = "转发目标1:微信,2:QQ")
    private String contentDispatchDevice;
    @ApiModelProperty(name = "contentDispatchContent", value = "转发携带文字")
    private String contentDispatchContent;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getContentDispatchContent() {
        return contentDispatchContent == null ? "" : contentDispatchContent;
    }

    public void setContentDispatchContent(String contentDispatchContent) {
        this.contentDispatchContent = contentDispatchContent;
    }

    public String getContentDispatchId() {
        return contentDispatchId == null ? "" : contentDispatchId.trim();
    }

    public void setContentDispatchId(String contentDispatchId) {
        this.contentDispatchId = contentDispatchId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentDispatchParentId() {
        return contentDispatchParentId == null ? "" : contentDispatchParentId.trim();
    }

    public void setContentDispatchParentId(String contentDispatchParentId) {
        this.contentDispatchParentId = contentDispatchParentId;
    }

    public String getContentDispatchUserName() {
        return contentDispatchUserName == null ? "" : contentDispatchUserName.trim();
    }

    public void setContentDispatchUserName(String contentDispatchUserName) {
        this.contentDispatchUserName = contentDispatchUserName;
    }

    public String getContentDispatchUserIcon() {
        return contentDispatchUserIcon == null ? "" : contentDispatchUserIcon.trim();
    }

    public void setContentDispatchUserIcon(String contentDispatchUserIcon) {
        this.contentDispatchUserIcon = contentDispatchUserIcon;
    }

    public String getContentDispatchDevice() {
        return contentDispatchDevice == null ? "" : contentDispatchDevice.trim();
    }

    public void setContentDispatchDevice(String contentDispatchDevice) {
        this.contentDispatchDevice = contentDispatchDevice;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
